#!/usr/bin/gnuplot

set terminal postscript eps enhanced
set out "autokorrelation-exp.eps"

#set xtics 10
#set ytics 10
#set grid
set ylabel "Autokorrelation"
set xlabel "Zeit / ps"
#set xrange [750:950]
#set key right top box

f(x) = a*exp(-b*x**2)
fit f(x) 'autokorrelation.dat' via a, b

plot 'autokorrelation.dat' w l t "Autokorrelation", f(x) w l t "Anpassung durch Gausz-Funktion"


set terminal postscript eps enhanced
set out "autokorrelation-sech.eps"

g(x) = ((2*c) / (exp(d*x) + exp(-d*x)))**2
fit g(x) 'autokorrelation.dat' via c, d

plot 'autokorrelation.dat' w l t "Autokorrelation", g(x) w l t "Anpassung durch sech^2(x)"





